upgrade LLDB on OSX Mavericks?

hi,

i am using default LLDB on OSX Mavericks, with its version as below:

$ lldb -version
lldb-300.2.53

is this based on LLDB 3.0 or something? now i want to upgrade to newer LLDB, what is the recommendation method? (i want to avoid compiling from source & prefer binary package if available)

thanks,
Jun

There are no binary packages other than what is available with the latest Xcode from the AppStore or from beta Xcode versions you can download from developer.apple.com.

So your only option is to download a pre-release Xcode through http://developer.apple.com

LLDB 3.0 has nothing to do with Mac OSX related Xcode releases. We are always submitting from top of tree (or pretty close) when we release new Xcode packages.

Greg